<!DOCTYPE html>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" lang="en-us" xml:lang="en-us" class="task no-feedback" data-mc-search-type="Stem" data-mc-help-system-file-name="index.xml" data-mc-path-to-help-system="../../" data-mc-target-type="WebHelp2" data-mc-runtime-file-type="Topic" data-mc-preload-images="false" data-mc-in-preview-mode="false" data-mc-toc-path="Social Engineering|Portable File">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta name="description" content="Learn how to create a portable file. " /><title>Creating a Portable File</title>
        
        <link href="../../Skins/Default/Stylesheets/TextEffects.css" rel="stylesheet" />
        <link href="../../Skins/Default/Stylesheets/Topic.css" rel="stylesheet" />
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" />
        <script src="../../Resources/Scripts/jquery.min.js">
        </script>
        <script src="../../Resources/Scripts/plugins.min.js">
        </script>
        <script src="../../Resources/Scripts/MadCapAll.js">
        </script>
    </head>
    <map id="map1" name="map1">
        <area shape="rectangle" coords="840,44,1093,87" href="http://www.rapid7.com/products/metasploit/download.jsp" target="_blank" />
        <area shape="rectangle" coords="1107,48,1211,80" href="http://www.rapid7.com/products/metasploit/" target="_blank" />
    </map>
    <body>
        <p class="MCWebHelpFramesetLink MCWebHelpFramesetLinkTop" style="display: none;"><a href="../../index.html#11-social-engineering/creating-portable-file.html">Open topic with navigation</a>
        </p>
        <h3>Creating a Portable File<a name="kanchor165"></a></h3>
        <ol data-mc-continue="true">
            <li value="1">From within a project, click the <b class="UISelection">Campaigns </b>tab. </li>
        </ol>
        <p>
            <img src="../Resources/Images/se/se-campaigns-tab.png" title="Campaigns Tab" alt="Campaigns Tab" />
        </p>
        <ol data-mc-continue="true">
            <li value="2">When the Manage Campaigns page appears, click the <b class="UISelection">Configure a Campaign</b> tab.
</li>
        </ol>
        <p>
            <img src="../Resources/Images/se/se-campaigns-tab.png" title="Configure Campaign Tab" alt="Configure Campaign Tab" /> <![CDATA[ ]]></p>
        <ol data-mc-continue="true">
            <li value="3">In the <b class="UISelection">Name </b>field, enter a descriptive name for the campaign. For example, <code class="usertype">USB-PayrollEXE </code>helps you quickly identify the campaign type and the executable file name.</li>
            <li value="4"> 
Select the <b class="UISelection">Custom Campaign</b>setup. </li>
        </ol>
        <p>
            <img src="../Resources/Images/se/se-custom-setup.png" title="Custom Campaign" alt="Custom Campaign" />
        </p>
        <ol data-mc-continue="true">
            <li value="5">Click the <b class="UISelection">Add e-mail, web page, portable file</b> button. A set of buttons for campaign components appears. </li>
        </ol>
        <p>
            <img src="../Resources/Images/se/se-add-components.png" title="Add Component Button" alt="Add Component Button" /> <![CDATA[
]]></p>
        <ol data-mc-continue="true">
            <li value="6">Click the<b class="UISelection"> Portable File</b> button. </li>
        </ol>
        <p>
            <img src="../Resources/Images/se/se-portable-file-button.png" title="Portable File Button" alt="Portable File Button" /> <![CDATA[
]]></p>
        <ol data-mc-continue="true">
            <li value="7">When the Portable File configuration window appears, enter the following information:
</li>
        </ol>
        <ul>
            <li class="indentedList" value="1"><b>Component name</b> - The name of the campaign component. This name displays under the portable file button on the campaign configuration page. </li>
            <li class="indentedList" value="2"><b>
File name</b> - The name of the file that <span class="VariablesProductName">Metasploit Pro</span> generates for you. The file name should include the file extension. If you do not supply the correct extension for the file, the exploit will not run on the target’s machine. </li>
        </ul>
        <ol start="8">
            <li value="8">
Choose one of the following portable file types:
</li>
        </ol>
        <ul>
            <li class="indentedList" value="1"><b>Executable file</b> - <span class="VariablesProductName">Metasploit Pro</span> generates an executable file that delivers the generic payload handler (exploit/multi/handler) to the human target. No further action is needed if you choose to generate an executable file. Click Save to save the component configuration and to exit the configuration window. 
</li>
            <li class="indentedList" value="2"><b>File format exploit</b> - <span class="VariablesProductName">Metasploit Pro</span> generates a malicious file for you to deliver the exploit to the human target. If you choose to generate a file format exploit, the Module Search page will appear. You will need to search for the module that you want to use and configure the settings for the exploit. Save the module configuration and the portable file component configuration when you are done. </li>
        </ul>
        <ol start="9">
            <li class="indentedList" value="9">Save the campaign when you are done.</li>
        </ol>
    </body>
</html>